FROM python:3.11

WORKDIR /folkugat

# Install Lilypond
RUN wget https://gitlab.com/lilypond/lilypond/-/releases/v2.25.25/downloads/lilypond-2.25.25-linux-x86_64.tar.gz
RUN tar xvzf lilypond-2.25.25-linux-x86_64.tar.gz
ENV PATH="$PATH:/folkugat/lilypond-2.25.25/bin"
RUN rm lilypond-2.25.25-linux-x86_64.tar.gz

# Install Folkugat python server
COPY deploy/requirements.txt /folkugat/requirements.txt
RUN pip install --no-cache-dir --upgrade -r /folkugat/requirements.txt
COPY folkugat_web /folkugat/folkugat_web

CMD ["uvicorn", "folkugat_web.main:app", "--proxy-headers", "--host", "0.0.0.0", "--port", "80"]
